Source: ruby-literati
Version: 0.0.4~git.20130318.3b3ea30-2
Severity: serious
Tags: sid stretch
Justification: fails to build from source
User: reproducible-builds@lists.alioth.debian.org
Usertags: ftbfs

Dear Maintainer,

The package fails to build:

/usr/bin/ruby2.1 -I"lib:lib:test" -I"/usr/lib/ruby/vendor_ruby" 
"/usr/lib/ruby/vendor_ruby/rake/rake_test_loader.rb" "test/**/test_*.rb" 
/usr/lib/ruby/vendor_ruby/contest.rb:19:in `setup': wrong number of arguments 
(2 for 0) (ArgumentError)
        from 
/usr/lib/ruby/vendor_ruby/mocha/integration/test_unit/adapter.rb:27:in 
`included'
        from /usr/lib/ruby/vendor_ruby/mocha/integration/test_unit.rb:38:in 
`include'
        from /usr/lib/ruby/vendor_ruby/mocha/integration/test_unit.rb:38:in 
`activate'
        from /usr/lib/ruby/vendor_ruby/mocha/integration.rb:8:in `map'
        from /usr/lib/ruby/vendor_ruby/mocha/integration.rb:8:in `activate'
        from /usr/lib/ruby/vendor_ruby/mocha/setup.rb:5:in `activate'
        from /usr/lib/ruby/vendor_ruby/mocha/setup.rb:9:in `<top (required)>'
        from /usr/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in 
`require'
        from /usr/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in 
`require'
        from 
/tmp/buildd/ruby-literati-0.0.4~git.20130318.3b3ea30/test/test_literati.rb:5:in 
`<top (required)>'
        from /usr/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in 
`require'
        from /usr/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in 
`require'
        from /usr/lib/ruby/vendor_ruby/rake/rake_test_loader.rb:10:in `block (2 
levels) in <main>'
        from /usr/lib/ruby/vendor_ruby/rake/rake_test_loader.rb:9:in `each'
        from /usr/lib/ruby/vendor_ruby/rake/rake_test_loader.rb:9:in `block in 
<main>'
        from /usr/lib/ruby/vendor_ruby/rake/rake_test_loader.rb:4:in `select'
        from /usr/lib/ruby/vendor_ruby/rake/rake_test_loader.rb:4:in `<main>'
rake aborted!

Full build log:
https://reproducible.debian.net/rb-pkg/unstable/amd64/ruby-literati.html

-- System Information:
Debian Release: stretch/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.19.0-23-generic (SMP w/8 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

_______________________________________________
Reproducible-builds mailing list
Reproducible-builds@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/reproducible-builds

Reply via email to